//
//  MetalTools.h
//  GoAvatar
//
//  Created by zego on 2022/6/27.
//

#import <Foundation/Foundation.h>
#import <Metal/Metal.h>
#import <UIKit/UIKit.h>
NS_ASSUME_NONNULL_BEGIN
typedef void(^OnMetalCallback)(id<MTLTexture> newTexture);

@interface MetalTools : NSObject
+ (MetalTools *)sharedInstance;
- (void)setupBgColorWithTexture:(id<MTLTexture>)texture bgColor:(UIColor *)bgColor callback:(OnMetalCallback)metalCallBack;

@end

NS_ASSUME_NONNULL_END
