//
//  GaussianBlurFilter.h
//  ZegoAvatarExample
//
//  Created by applechang on 2022/9/28.
//

#ifndef MetalImageMixin_h
#define MetalImageMixin_h
#import <UIKit/UIKit.h>
#import <Metal/Metal.h>

typedef void(^OnGaussianBlurCallback)(id<MTLTexture> texture);

@interface GaussianBlurFilter : NSObject

- (void)setupPineline;
- (void)startGaussianBlur:(id<MTLTexture>)texture complete:(OnGaussianBlurCallback)callback;
@end

#endif /* MetalImageMixin_h */
