//
//  CameraView.h
//  iOSDemo
//
//  Created by justinsong on 2021/3/18.
//

#ifndef Camera_h
#define Camera_h

#import <UIKit/UIKit.h>
#import <ZegoAvatar/ZegoTypes.h>

/** 帧数据回调*/
typedef void (^OnGetFrame)(CVPixelBufferRef buffer, ZegoImageParam *param);


@interface CameraView : UIView

/** 初始化摄像头*/
- (void)init:(int) width height: (int)height;
    
/** 开始录制*/
- (bool)start:(OnGetFrame)frameCallBack;

/** 结束录制*/
- (void)stop;
//
//+ (UIImage *)imageFromRGBABuffer:(unsigned char*)buffer
//                           width:(int)width
//                          height:(int)heigth;
@end


#endif /* Camera_h */
