#ifndef ZegoAvatarConfig_h
#define ZegoAvatarConfig_h

// 鉴权服务器的地址
static NSString *AVATAR_BASE_URL = @"https://aieffects-api.zego.im?Action=DescribeAvatarLicense";

// 向 Zego 申请的 AppID, APPID 跟 bundleId 有绑定关系, 记得修改 Signing & Capabilities 下的 Bundle Identifier 为申请 AppID 时提供的值
static NSUInteger AVATAR_APPID = YOUR_APP_ID;

// 向 Zego 申请的 得到的 AppSign
static NSString *AVATAR_APP_SIGN = YOUR_APP_SIGN;

!!!!! 请确保已经把 sdk zip下面的 assets 下的内容, 添加到了 ZegoAvatarExample/assets/ !!!!!

// 提前准备好appID和appSign等信息，请到官网申请
// https://console.zego.im/dashboard
// 这里面的信息申请好后需要都换成自己的，否则无法创建引擎及进入房间

// 向 Zego 申请的 得到的 Express 的 AppID, demo里用于自定义采集和Avatar推流
static NSUInteger ZEGO_EXPRESS_APPID = 0L;

// 向 Zego 申请的 得到的 Express 的  AppSign
static NSString *ZEGO_EXPRESS_APPSIGN = @"测试RTC相关的代码时需要填写";


#endif /* ZegoAvatarConfig_h */
